Name:           rsakeyfind
Version:        1.0
Release:    1%{?dist}
License:        BSD
Summary:        Locate BER-encoded RSA private and public keys in memory images

URL:            https://citp.princeton.edu/our-work/memory/

Source0:        https://citpsite.s3.amazonaws.com/memory-content/src/%{name}-%{version}.tar.gz

Source1:        https://citpsite.s3.amazonaws.com/memory-content/src/%{name}-%{version}.tar.gz.asc

Source2:        gpgkey-12E404FFD3C931F934052D06B8841A919D0FACE4.gpg

Source3:        rsakeyfind.1

Patch1:         rsakeyfind-10_add-GCC-hardening.patch

Patch2:         rsakeyfind-20_includes.patch


Buildrequires:  gcc
Buildrequires:  gcc-c++
Buildrequires:  make
BuildRequires:  gnupg2



%description
The rsakeyfind tool locates BER-encoded RSA private and public keys in 
captured memory images. It can either try to locate keys based on a provided
hex-dump of a modulus of a known public key, or based on fixed pattern in
BER-encoded RSA version field.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -n %{name}


%build
%set_build_flags
%make_build


%install
install -Dp -m755 %{name} %{buildroot}%{_bindir}/%{name}
install -d %{buildroot}%{_mandir}/man1
install -p -m644 %{SOURCE3} %{buildroot}%{_mandir}/man1


%files
%license LICENSE
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0-1
- initial build
